Bug 107458 - [GTK] Memory leak in FullscreenVideoController::hideHud()
Summary: [GTK] Memory leak in FullscreenVideoController::hideHud()
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sudarsana Nagineni (babu)
URL:
Keywords:
Depends on:
Blocks: 107398
  Show dependency treegraph
 
Reported: 2013-01-21 09:17 PST by Sudarsana Nagineni (babu)
Modified: 2013-02-01 02:27 PST (History)
5 users (show)

See Also:


Attachments
Patch (1.40 KB, patch)
2013-01-21 09:27 PST, Sudarsana Nagineni (babu)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sudarsana Nagineni (babu) 2013-01-21 09:17:00 PST
The value returned by gdk_cursor_new() is not adopted in FullscreenVideoController::hideHud().
Comment 1 Sudarsana Nagineni (babu) 2013-01-21 09:27:20 PST
Created attachment 183798 [details]
Patch
Comment 2 Philippe Normand 2013-01-21 09:43:15 PST
Unless this is really urgent I'd rather fix this as part of bug 107398 and mention you in the ChangeLog :)
Comment 3 Sudarsana Nagineni (babu) 2013-01-21 11:16:54 PST
(In reply to comment #2)
> Unless this is really urgent I'd rather fix this as part of bug 107398 and mention you in the ChangeLog :)

Thanks for looking, Philippe. Fine with me to handle this as part of that bug.
Comment 4 Philippe Normand 2013-01-22 00:01:06 PST
Setting bug dependency so I don't forgot to integrate this patch.
Comment 5 Philippe Normand 2013-02-01 02:27:45 PST
Fixed in r141566